Name:		yad
Version:	13.0
Release:	%mkrel 1

Summary:	Yet another dialoging program
Summary(de):	Ein weiteres Dialog Programm
License:	GPLv3
Group:		Development/Tools
URL:		http://sourceforge.net/projects/yad-dialog/
Patch0:     %{name}-%{version}-config.patch
Source0:	%{name}-%{version}.tar.xz
Source2:    %{name}-%{version}-multi-progress.patch.tar.xz
Source3:    %{name}-%{version}-extras.patch.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: desktop-file-utils
BuildRequires: gettext-devel
BuildRequires: gtk3-devel
BuildRequires: wayland-protocols-devel
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: %{_lib}xtst-devel
BuildRequires: %{_lib}gtksourceview3.0-devel
BuildRequires: %{_lib}gspell-devel
BuildRequires: %{_lib}webkit2-devel
BuildRequires: %{_lib}tiff-devel
%description
Yad (yet another dialog) is a fork of Zenity with many improvements, such as
custom buttons, additional dialogs, pop-up menu in notification icon and more.


%description -l de
Zeigt graphische Dialogfelder von Shell-Skripten oder der Kommandozeile.
Yad ist ein Fork von Zenity mit vielen Verbesserungen, wie beispielsweise
benutzerdefinierte Tasten, zusätzliche Dialoge, Popup-Menü im Infobereich
Icon und vieles mehr.

CLI Anwendungsbeispiel:
yad --image=dialog-question --text='Wie geht es Ihnen?'


%prep
%setup -q -n %{name}-%{version}

%apply_patches

unxz %SOURCE2 -c | tar xf - -C src
unxz %SOURCE3 -c | tar xf - -C .

%build
export CFLAGS="$CFLAGS -DBORDERS=1"
autoreconf -ivf && intltoolize
%configure2_5x \
--with-gtk=gtk3 


%make


%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas
install -m 755 %{name}-settings.desktop %{buildroot}/%{_datadir}/applications
install -m 755 %{name}-tools %{buildroot}/%{_bindir}
install -m 755 %{name}-settings %{buildroot}/%{_bindir}
install -m 755 %{name}-tools.1 %{buildroot}/%{_mandir}/man1
install -m 755 %{name}.gschema.xml %{buildroot}/%{_datadir}/glib-2.0/schemas



%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog.old COPYING README.md THANKS TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_bindir}/%{name}-tools
%{_datadir}/icons/hicolor
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-tools.1.*
%{_datadir}/aclocal/yad.m4
%{_datadir}/glib-2.0/schemas/%{name}.gschema.xml
%{_datadir}/applications/%{name}-settings.desktop


%changelog
* Wed May 31 2023 Ken <lxgator at gmail.com> 13.0-1pclos2023
- Update 

* Fri Mar 17 2023 Ken <lxgator at gmail.com> 12.3-1pclos2023
- fixed setting webkit properties and user defined style sheet in html dialog
- improve stdin handler for html dialog
- update copyright notice

* Wed Nov 23 2022 Ken <lxgator at gmail.com> 12.1-1pclos2022
- bugfix release
- fixed some typos
- fixed permissions in thumbnails creation
- improve interpreteur string in yad-settings script

* Wed Mar 02 2022 Ken <lxgator at gmail.com> 11.0-1pclos2022
- Update to 11.0

* Sun Oct 03 2021 Ken <lxgator at gmail.com> 10.1-1pclos2021
- Update to 10.1

* Sat May 08 2021 Ken <lxgator at gmail.com> 10.0-1pclos2021
- Update to 10.0

* Wed Mar 24 2021 Ken <lxgator at gmail.com> 9.1-1pclos2021
- Update to 9.1


